package me.yoqi.composename;

import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;

import qh.lqg.utils.Messages;
import qh.lqg.utils.TextHelper;

/**
 * ClassName: Compose <br/>
 * Function: 对3500个汉字两两组合. <br/>
 * date: 2016年8月7日 上午11:51:28 <br/>
 *
 * @author liuyuqi
 * @version
 * @since JDK 1.7
 */
public class Compose {

	public static void main(String args[]) throws Exception {
		SimpleDateFormat df = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");// 设置日期格式
		System.out.println(df.format(new Date()));// new Date()为获取当前系统时间
		long starTime = System.currentTimeMillis();
		String dataUrl = Messages.getString("Compose.data");
		String resultUrl = "data/result.txt";
		String result = "";

		TextHelper textHelper = new TextHelper();
		ArrayList<String> allChinese = textHelper.readTextByWord(dataUrl);
		ArrayList<String> allChineseName = new ArrayList<String>();
		int flag = 0;
		// 两两组合
		for (int i = 0; i < allChinese.size(); i++) {
			for (int j = i + 1; j < allChinese.size(); j++) {
				allChineseName.add(allChinese.get(i) + allChinese.get(j));
				// 内存10万个值存一次磁盘，再清空再缓存。
				flag++;
				if (flag % 10000 == 0) {
					for (int k = 0; k < allChineseName.size(); k++) {
						result += allChineseName.get(k) + "    ";
					}
					TextHelper.writeText(resultUrl, result);
					allChineseName = new ArrayList<String>();
					System.out.println(flag);
				}
			}
		}
		long endTime = System.currentTimeMillis();
		long Time = endTime - starTime;
		System.out.println(df.format(new Date()));// new Date()为获取当前系统时间
		System.out.println("总共耗时：" + Time);
	}
}
